%define anolis_release 2
%global pypi_name ruamel.yaml.clib
%global pname ruamel-yaml-clib

Name:           python-%{pname}
Version:        0.2.8
Release:        %{anolis_release}%{?dist}
Summary:        C version of reader, parser and emitter for ruamel.yaml
License:        MIT
URL: 		https://sourceforge.net/p/ruamel-yaml-clib/code/ci/default/tree/
Source0: 	https://github.com/ruamel/yaml.clib/archive/refs/tags/%{version}.tar.gz

BuildRequires:  gcc libyaml-devel
BuildRequires:  python3-devel python3-setuptools python3-Cython

%description
C version of reader, parser and emitter for ruamel.yaml derived from libyaml.

%package -n     python3-%{pname}
Summary:        C version of reader, parser and emitter for ruamel.yaml derived from libyaml
Requires:       python3-setuptools python3-ruamel-yaml

%description -n python3-%{pname}
C version of reader, parser and emitter for ruamel.yaml derived from libyaml.

%package -n     python3-%{pname}-doc
Summary:        Documentation files for python3-%{pname}
BuildArch:      noarch

%description -n python3-%{pname}-doc
The %{name}-doc package contains documentation files for python3-%{pname}

%prep
%autosetup -n yaml.clib-%{version} -p1
rm -v $(grep -rl '/\* Generated by Cython')

%generate_buildrequires
%pyproject_buildrequires


%build
mkdir %{pypi_name}
mv *.pyx %{pypi_name}
cythonize -3 %{pypi_name}/*.pyx
mv %{pypi_name}/* .
rmdir %{pypi_name}

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files _ruamel_yaml

%check
%py3_check_import _ruamel_yaml

%files -n python3-%{pname}
%license LICENSE
%{python3_sitearch}/_ruamel_yaml.cpython-*.so
%{python3_sitearch}/%{pypi_name}-%{version}.dist-info

%files -n python3-%{pname}-doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.2.8-2
- Rebuild with python3.11

* Tue Dec 26 2023 happy_orange <songnannan@linux.alibaba.com> - 0.2.8-1
- update to 0.2.8

* Mon Apr 10 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.2.6-2
- Optimize the spec file

* Tue Jul 12 2022 happy_orange <songnannan@linux.alibaba.com> - 0.2.6-1
- Init pcakage from upstream
